# Generated from rubytree-2.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubytree

Name: rubygem-%{gem_name}
Version: 2.0.2
Release: 1%{?dist}
Summary: A generic tree data structure for Ruby
License: BSD-2-Clause
URL: http://rubytree.anupamsg.me
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) > 3.10
# BuildRequires: rubygem(rtagstask) >= 0.0.4
# BuildRequires: rubygem(rtagstask) < 0.1
# BuildRequires: rubygem(rubocop) >= 1.0
# BuildRequires: rubygem(rubocop) < 2
# BuildRequires: rubygem(rubocop-rake)
# BuildRequires: rubygem(rubocop-rake) < 1
# BuildRequires: rubygem(rubocop-rspec) >= 2.0
# BuildRequires: rubygem(rubocop-rspec) < 3
# BuildRequires: rubygem(simplecov) >= 0.21
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov-lcov) >= 0.8
# BuildRequires: rubygem(simplecov-lcov) < 1
# BuildRequires: rubygem(test-unit) >= 3.0
# BuildRequires: rubygem(test-unit) < 4
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(yard) >= 0.9.20
BuildArch: noarch

%description
RubyTree is a Ruby implementation of the generic tree data structure. It
provides simple APIs to store named nodes, and to access, modify, and
traverse the tree.
The data model is node-centric, where nodes in the tree are the primary
structural elements. It supports all common tree-traversal methods (pre-order,
post-order, and breadth first).
RubyTree mixes in the Enumerable and Comparable modules and behaves like a
standard Ruby collection (iteration, comparison, etc.).
RubyTree also includes a binary tree implementation, which provides in-order
node traversal besides the other methods.
RubyTree can import from and export to JSON, and supports Ruby’s object
marshaling.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gemtest
%{gem_instdir}/API-CHANGES.md
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/TODO.org
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/rubytree.gemspec
%{gem_instdir}/spec
%{gem_instdir}/test

%changelog
* Fri Jun 30 2023 mockbuilder - 2.0.2-1
- Initial package
